CEL: Crystal Entity Layer: iPcNewCamera Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcNewCamera Struct Reference

This is a camera property class. More...

`#include <propclass/newcamera.h>`

Inheritance diagram for iPcNewCamera:

[legend]
List of all members.

## Public Types
enum | _CEL_CAMERA_MODE
## Public Member Functions
virtual size_t | AttachCameraMode (CEL_CAMERA_MODE mode)=0
| Attaches a built-in camera mode to this camera.
virtual size_t | AttachCameraMode (iCelCameraMode *mode)=0
| Attaches a camera mode to this camera.
virtual void | Draw ()=0
| Render.
virtual const csVector3 & | GetBaseDir () const =0
| Gets the base direction of the camera.
virtual const csVector3 & | GetBasePos () const =0
| Gets the base position of the camera in world coordinates.
virtual const csReversibleTransform & | GetBaseTrans () const =0
| Gets the base transform of the camera.
virtual const csVector3 & | GetBaseUp () const =0
| Gets the base up vector of the camera.
virtual iCelCameraMode * | GetCurrentCameraMode ()=0
| Gets the current camera mode.
virtual size_t | GetCurrentCameraModeIndex () const =0
| Gets the index of the current camera mode.
virtual const csVector3 & | GetDir () const =0
| Gets the current direction of the camera.
virtual const csVector3 & | GetPos () const =0
| Gets the current position of the camera.
virtual const csVector3 & | GetUp () const =0
| Gets the current up vector of the camera.
virtual void | NextCameraMode ()=0
| Sets the current camera mode to the next available mode.
virtual void | PrevCameraMode ()=0
| Sets the current camera mode to the previous available mode.
virtual bool | SetCurrentCameraMode (size_t modeIndex)=0
| Sets the current camera mode.
virtual void | SetPositionOffset (const csVector3 &offset)=0
| Sets the offset from the center of the mesh's iMovable to the position of the camera.

## Detailed Description

This is a camera property class.

Definition at line 115 of file newcamera.h.

## Member Function Documentation

virtual size_t iPcNewCamera::AttachCameraMode | ( | CEL_CAMERA_MODE | mode | ) | `[pure virtual]`

  | Attaches a built-in camera mode to this camera. Parameters:
  | mode | The id of the built-in camera mode to attach.
Returns: A unique id for the attached camera mode.

virtual size_t iPcNewCamera::AttachCameraMode | ( | iCelCameraMode * | mode | ) | `[pure virtual]`

  | Attaches a camera mode to this camera. Parameters:
  | mode | The camera mode to attach.
Returns: A unique id for the attached camera mode.

virtual void iPcNewCamera::Draw | ( |  | ) | `[pure virtual]`

| Render. This will clear the screen then draw on top of it. Implements iPcCamera.

virtual const csVector3& iPcNewCamera::GetBaseDir | ( |  | ) | const`[pure virtual]`

| Gets the base direction of the camera. Returns: The base direction of the camera.

virtual const csVector3& iPcNewCamera::GetBasePos | ( |  | ) | const`[pure virtual]`

| Gets the base position of the camera in world coordinates. Returns: The base position of the camera in world coordinates.

virtual const csReversibleTransform& iPcNewCamera::GetBaseTrans | ( |  | ) | const`[pure virtual]`

| Gets the base transform of the camera. Returns: The base transform of the camera.

virtual const csVector3& iPcNewCamera::GetBaseUp | ( |  | ) | const`[pure virtual]`

| Gets the base up vector of the camera. Returns: The base up vector of the camera.

virtual iCelCameraMode* iPcNewCamera::GetCurrentCameraMode | ( |  | ) | `[pure virtual]`

| Gets the current camera mode. Returns: The current camera mode.

virtual size_t iPcNewCamera::GetCurrentCameraModeIndex | ( |  | ) | const`[pure virtual]`

| Gets the index of the current camera mode. Returns: The index of the current camera mode.

virtual const csVector3& iPcNewCamera::GetDir | ( |  | ) | const`[pure virtual]`

| Gets the current direction of the camera. Returns: The current direction of the camera.

virtual const csVector3& iPcNewCamera::GetPos | ( |  | ) | const`[pure virtual]`

| Gets the current position of the camera. Returns: The current position of the camera.

virtual const csVector3& iPcNewCamera::GetUp | ( |  | ) | const`[pure virtual]`

| Gets the current up vector of the camera. Returns: The current up vector of the camera.

virtual void iPcNewCamera::NextCameraMode | ( |  | ) | `[pure virtual]`

| Sets the current camera mode to the next available mode.

virtual void iPcNewCamera::PrevCameraMode | ( |  | ) | `[pure virtual]`

| Sets the current camera mode to the previous available mode.

virtual bool iPcNewCamera::SetCurrentCameraMode | ( | size_t | modeIndex | ) | `[pure virtual]`

  | Sets the current camera mode. Parameters:
  | modeIndex | The index of the current camera mode.
Returns: True on successful camera mode change.

virtual void iPcNewCamera::SetPositionOffset | ( | const csVector3 & | offset | ) | `[pure virtual]`

  | Sets the offset from the center of the mesh's iMovable to the position of the camera. Parameters:
  | offset | the offset from the center of the mesh to the camera position.

The documentation for this struct was generated from the following file:

- propclass/newcamera.h